<?php

namespace AutoAdmin\Bundle\Admin\Entity;

use AutoAdmin\Bundle\Admin\Model\AdministratorModel;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: 'AutoAdmin\Bundle\Admin\Repository\AdministratorRepository')]
class Administrator extends AdministratorModel
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column(type: Types::INTEGER)]
    private int $id;

    public function getId(): int
    {
        return $this->id;
    }

    public function getUserIdentifier(): string
    {
        return $this->username;
    }
}
